vtc: XVtc_SourceSelect Struct Reference

| vtc Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XVtc_SourceSelect Struct Reference
Vtc_v7_2

This typedef contains Source Selection configuration information for a VTC core. More...

## Data Fields
u8 | FieldIdPolSrc
| Field ID Output Polarity Source. More...
u8 | ActiveChromaPolSrc
| Active Chroma Output Polarity Source. More...
u8 | ActiveVideoPolSrc
| Active Video Output Polarity Source. More...
u8 | HSyncPolSrc
| Horizontal Sync Output Polarity Source. More...
u8 | VSyncPolSrc
| Vertical Sync Output Polarity Source. More...
u8 | HBlankPolSrc
| Horizontal Blank Output Polarity Source. More...
u8 | VBlankPolSrc
| Vertical Blank Output Polarity Source. More...
u8 | VChromaSrc
| Start of Active Chroma Register Source Select. More...
u8 | VActiveSrc
| Vertical Active Video Start Register Source Select. More...
u8 | VBackPorchSrc
| Vertical Back Porch Start Register Source Select. More...
u8 | VSyncSrc
| Vertical Sync Start Register Source Select. More...
u8 | VFrontPorchSrc
| Vertical Front Porch Start Register Source Select. More...
u8 | VTotalSrc
| Vertical Total Register Source Select. More...
u8 | HActiveSrc
| Horizontal Active Video Start Register Source Select. More...
u8 | HBackPorchSrc
| Horizontal Back Porch Start Register Source Select. More...
u8 | HSyncSrc
| Horizontal Sync Start Register Source Select. More...
u8 | HFrontPorchSrc
| Horizontal Front Porch Start Register Source Select. More...
u8 | HTotalSrc
| Horizontal Total Register Source Select. More...
u8 | InterlacedMode
| Interelaced mode. More...

## Detailed Description

This typedef contains Source Selection configuration information for a VTC core.

## Field Documentation

u8 XVtc_SourceSelect::ActiveChromaPolSrc

Active Chroma Output Polarity Source.

Referenced by XVtc_GetSource(), and XVtc_SetSource().

u8 XVtc_SourceSelect::ActiveVideoPolSrc

Active Video Output Polarity Source.

Referenced by XVtc_GetSource(), and XVtc_SetSource().

u8 XVtc_SourceSelect::FieldIdPolSrc

Field ID Output Polarity Source.

Referenced by XVtc_GetSource(), and XVtc_SetSource().

u8 XVtc_SourceSelect::HActiveSrc

Horizontal Active Video Start Register Source Select.

u8 XVtc_SourceSelect::HBackPorchSrc

Horizontal Back Porch Start Register Source Select.

Referenced by XVtc_GetSource(), and XVtc_SetSource().

u8 XVtc_SourceSelect::HBlankPolSrc

Horizontal Blank Output Polarity Source.

Referenced by XVtc_GetSource(), and XVtc_SetSource().

u8 XVtc_SourceSelect::HFrontPorchSrc

Horizontal Front Porch Start Register Source Select.

Referenced by XVtc_GetSource(), and XVtc_SetSource().

u8 XVtc_SourceSelect::HSyncPolSrc

Horizontal Sync Output Polarity Source.

Referenced by XVtc_GetSource(), and XVtc_SetSource().

u8 XVtc_SourceSelect::HSyncSrc

Horizontal Sync Start Register Source Select.

Referenced by XVtc_GetSource(), and XVtc_SetSource().

u8 XVtc_SourceSelect::HTotalSrc

Horizontal Total Register Source Select.

Referenced by XVtc_GetSource(), and XVtc_SetSource().

u8 XVtc_SourceSelect::InterlacedMode

Interelaced mode.

Referenced by XVtc_GetSource(), and XVtc_SetSource().

u8 XVtc_SourceSelect::VActiveSrc

Vertical Active Video Start Register Source Select.

Referenced by XVtc_GetSource(), and XVtc_SetSource().

u8 XVtc_SourceSelect::VBackPorchSrc

Vertical Back Porch Start Register Source Select.

Referenced by XVtc_GetSource(), and XVtc_SetSource().

u8 XVtc_SourceSelect::VBlankPolSrc

Vertical Blank Output Polarity Source.

Referenced by XVtc_GetSource(), and XVtc_SetSource().

u8 XVtc_SourceSelect::VChromaSrc

Start of Active Chroma Register Source Select.

Referenced by XVtc_GetSource(), and XVtc_SetSource().

u8 XVtc_SourceSelect::VFrontPorchSrc

Vertical Front Porch Start Register Source Select.

Referenced by XVtc_GetSource(), and XVtc_SetSource().

u8 XVtc_SourceSelect::VSyncPolSrc

Vertical Sync Output Polarity Source.

Referenced by XVtc_GetSource(), and XVtc_SetSource().

u8 XVtc_SourceSelect::VSyncSrc

Vertical Sync Start Register Source Select.

Referenced by XVtc_GetSource(), and XVtc_SetSource().

u8 XVtc_SourceSelect::VTotalSrc

Vertical Total Register Source Select.

Referenced by XVtc_GetSource(), and XVtc_SetSource().